CreateIntegrationOwner
/api/v1/integrations/{integration}/ownersAdd an owner to an integration. Owners manage the integration’s settings and its other owners.
Example request
Section titled “Example request”curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://us.oblique.security/api/v1/integrations/{integration}/owners"Set OBLIQUE_API_KEY to your API key.
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://eu.oblique.security/api/v1/integrations/{integration}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredFormat:
integrations/{integration}
Query parameters
Section titled “Query parameters”integrationOwnerIdstringIf specified, use this as the ID of the integration owner.
Request body
Section titled “Request body”namestringAssigned by Oblique. Name of the owner of the format
integrations/{integration}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the integration. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
Response
Section titled “Response”200IntegrationOwnerAn IntegrationOwner is a user, team, or group that owns an integration. The
user who adds an integration is made its first owner.
namestringAssigned by Oblique. Name of the owner of the format
integrations/{integration}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the integration. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |